> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leen.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Outbound job by id

> Get outbound job by id.



## OpenAPI

````yaml get /outbound-jobs/{job_id}
openapi: 3.1.0
info:
  title: Leen Security API
  version: 0.0.1
servers:
  - url: https://api.leen.dev/v1
    description: Production API
  - url: https://api.eu-c1.leen.dev/v1
    description: Production API (EU Region)
  - url: https://api.ap-se2.leen.dev/v1
    description: Production Api (APAC Region)
security: []
paths:
  /outbound-jobs/{job_id}:
    get:
      tags:
        - outbound jobs
      summary: Get Outbound job by id
      description: Get outbound job by id.
      operationId: get_outbound_job
      parameters:
        - name: job_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Job Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OutboundJobStatusResponseModel'
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorException'
          description: Not Found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorException'
          description: Unprocessable Entity
      security:
        - Connection-ID: []
          API-Key: []
components:
  schemas:
    OutboundJobStatusResponseModel:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: Leen's UUID for the Job
        vendor:
          type: string
          title: Vendor
          description: Vendor Name
        task_name:
          type: string
          title: Task Name
          description: Task Name
        status:
          type: string
          title: Status
          description: Job Status
        started_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Started At
          description: Job Started at
        finished_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Finished At
          description: Job Finished at
        failure_reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Failure Reason
          description: Job Failure Reason with detailed error information
      type: object
      required:
        - id
        - vendor
        - task_name
        - status
      title: OutboundJobStatusResponseModel
      description: Response Model for returning Job Details via an API Endpoint
    ErrorException:
      properties:
        detail:
          type: string
          title: Detail
          description: Error message
      type: object
      required:
        - detail
      title: ErrorException
  securitySchemes:
    Connection-ID:
      type: apiKey
      in: header
      name: X-CONNECTION-ID
    API-Key:
      type: apiKey
      in: header
      name: X-API-KEY

````